Bug 116437 - powernow-k8 driver will not load
powernow-k8 driver will not load
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-20 20:04 EST by Brian Krahmer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.6.3-1.118
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 12:35:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Krahmer 2004-02-20 20:04:42 EST
Description of problem:
During boot of Fedora Core 2 test1, I was getting messages relating to
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor.  Someone
suggested checking out the /etc/cpuspeed.conf.  (RFE #1: Shouldn't
this file be called /etc/cpufreq.conf and the service called cpufreq?
 I don't see why the terms cpuspeed and cpufreq are intermixed.)  I
don't recall the default now, but I have an Athlon 64 3400+, so I
changed it to powernow-k8 (using no options).  (RF@ #2: During
install, if we detect an AMD64, can we change the default module?)

Now I got:
[root@selkirk /]# service cpuspeed start
Starting cpuspeed: FATAL: Error inserting powernow_k8
(/lib/modules/2.6.2-1.81/kernel/arch/i386/kernel/cpu/cpufreq/powernow-k8.ko):
Invalid argument
Error: Could not open file for writing:
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
Error: No such file or directory                                     
                     [FAILED]

Looking at dmesg, we see the following:
powernow-k8: Found AMD64 processor supporting PowerNow (version 1.00.08a)
powernow-k8: voltage stable in 100 usec, ramp voltage offset: 2,
isochronous relief time: 3, maximum voltage step: 0
powernow-k8: pll lock time: 0x2, maxfid 0xe (2200 MHz), maxvid 0x0
powernow-k8: fid 0 invalid : 0x0

Version-Release number of selected component (if applicable):
Linux selkirk.krahmer.com 2.6.2-1.81 #1 Sat Feb 14 09:37:09 EST 2004
i686 athlon i386 GNU/Linux

How reproducible:
Always

Additional info:
This is the i386 RC, not x86_64.

Note You need to log in before you can comment on or make changes to this bug.